'use strict';

const compilerSFC = require('@vue/compiler-sfc');

module.exports = function (resoures) {
  const sfc = compilerSFC.parse(resoures);
  var styles = sfc.descriptor.styles;

  if (styles.length > 0) {
    const { lang } = styles[0].attrs;
    return lang ? `${lang}-loader` : '';
  }
  return '';
};
